Bug 186983 - [PATCH] devel/pcre: Seems the jit isn't for mips64.
Summary: [PATCH] devel/pcre: Seems the jit isn't for mips64.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-23 18:20 UTC by Mathieu Arnold
Modified: 2014-03-05 05:09 UTC (History)
0 users

See Also:


Attachments
pcre-8.34.patch (383 bytes, patch)
2014-02-23 18:20 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2014-02-23 18:20:00 UTC
On mips64, it says:

pcre_jit_compile.c:65:2: error: #error Unsupported architecture

http://pkg.absolight.net/logs/bulk/latest-per-pkg/pcre/8.34/100mips64-pkgng.log
Comment 1 Edwin Groothuis freebsd_committer 2014-02-23 18:20:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-03 15:27:42 UTC
Author: bf
Date: Mon Mar  3 15:27:34 2014
New Revision: 346916
URL: http://svnweb.freebsd.org/changeset/ports/346916
QAT: https://qat.redports.org/buildarchive/r346916/

Log:
  Disable the pcre jit on mips64*
  
  PR:		186983
  Submitted by:	mat

Modified:
  head/devel/pcre/Makefile

Modified: head/devel/pcre/Makefile
==============================================================================
--- head/devel/pcre/Makefile	Mon Mar  3 15:20:27 2014	(r346915)
+++ head/devel/pcre/Makefile	Mon Mar  3 15:27:34 2014	(r346916)
@@ -32,7 +32,7 @@ STACK_RECURSION_DESC=	Use the stack for 
 
 .include <bsd.port.options.mk>
 
-.if ${ARCH} != "sparc64" && ${ARCH} != "ia64"
+.if ${ARCH} != "sparc64" && ${ARCH} != "ia64" && ${ARCH:Mmips64*} == ""
 CONFIGURE_ARGS+=	--enable-jit
 .else
 CONFIGURE_ARGS+=	--disable-jit
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Brendan Fabeny freebsd_committer 2014-03-05 05:09:19 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!